你还在为编译pidgin(皮筋儿)发愁吗?

上网、浏览、聊天、下载等
回复
头像
ambit
帖子: 172
注册时间: 2008-11-06 3:12
送出感谢: 0
接收感谢: 0

你还在为编译pidgin(皮筋儿)发愁吗?

#1

帖子 ambit » 2009-02-08 0:15

今天自己编译皮筋儿,始终无法完善依赖关系,参考了网络上的介绍,大多是安装一大堆的东西,不仅麻烦而且容易出错。
后来发现一条命令,可以自动安装完整的编译环境,现介绍如下
sudo apt-get build-dep pidgin
之后编译2.5.4版的皮筋儿顺利通过。
不敢独享,特此公布。
此方法在9.04上通过。
上次由 ambit 在 2009-12-04 19:58,总共编辑 1 次。
软件应可免费取得,
软件工具在各种语言环境下皆可使用,
且不会有任何功能上的差异;
人们应有定制和修改软件的自由,
且方式不受限制,
只要他们自认为合适。
头像
AutoXBC
帖子: 1744
注册时间: 2007-10-23 12:54
送出感谢: 2 次
接收感谢: 24 次

Re: 你还在为编译pidgin(皮筋儿)发愁吗?

#2

帖子 AutoXBC » 2009-02-08 1:00

编译这东西就像毒品,你自己以为很爽,其实对身体没什么好处还容易上瘾。追最新的软件有很多途径,getdeb 和 debian experimental 都可以,全是 2.5.4 的。

http://www.getdeb.net/app/Pidgin
http://packages.debian.org/search?suite ... rds=pidgin

至于 9.04,那东西今天能启动明天可能就挂了,没有尝试的必要。
头像
ambit
帖子: 172
注册时间: 2008-11-06 3:12
送出感谢: 0
接收感谢: 0

Re: 你还在为编译pidgin(皮筋儿)发愁吗?

#3

帖子 ambit » 2009-02-08 4:26

其实本人也不愿意费劲自己编译,只是最新的deb包在9.04上安装总是失败。
具体状况是安装进度条卡住不动,试过几次均以失败告终。
没奈,才自己编译。意外发现自己编译更适合于自己的使用。
虽有上瘾之忧却也乐在其中。呵呵
软件应可免费取得,
软件工具在各种语言环境下皆可使用,
且不会有任何功能上的差异;
人们应有定制和修改软件的自由,
且方式不受限制,
只要他们自认为合适。
头像
AutoXBC
帖子: 1744
注册时间: 2007-10-23 12:54
送出感谢: 2 次
接收感谢: 24 次

Re: 你还在为编译pidgin(皮筋儿)发愁吗?

#4

帖子 AutoXBC » 2009-02-08 11:48

进度卡住不动可以用控制台 dpkg -i xxx.deb 来装。
头像
ambit
帖子: 172
注册时间: 2008-11-06 3:12
送出感谢: 0
接收感谢: 0

Re: 你还在为编译pidgin(皮筋儿)发愁吗?

#5

帖子 ambit » 2009-02-09 14:08

强制安装啊。我还是觉得自己编译出来的更适合自己一些。
强扭的瓜儿不甜!
软件应可免费取得,
软件工具在各种语言环境下皆可使用,
且不会有任何功能上的差异;
人们应有定制和修改软件的自由,
且方式不受限制,
只要他们自认为合适。
回复

回到 “因特网相关软件”